package com.zswl.cloud.springBtach.server.core.api.xiaoju.sdk.response;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class QueryCalPriceResponse {
    private String storeId;
    private Integer discountPrice;
    private Integer realPrice;
    private Integer totalPrice;
    private Integer serviceFee;
    private Integer promotionAmount;
    private Integer litre;
    private String itemName;
    private PriceDetailVO priceDetailVo;

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class PriceDetailVO implements Serializable {
        private List<List<String>> deductionDetail;
        private CouponDTO gunCoupon;
    }

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class CouponDTO implements Serializable {
        private String couponId;
        private Integer deductAmount;

    }


}

